io.agora.rtc

## Enum Constants.VadState

- java.lang.Object
- - java.lang.Enum<Constants.VadState>
  - - io.agora.rtc.Constants.VadState

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Constants.VadState>
  Enclosing class:
    Constants

      public static enum Constants.VadState
      extends java.lang.Enum<Constants.VadState>

  Voice Activity Detection (VAD) state.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NONE_SPEAKING` Not speaking
    `SPEAKING` Speaking
    `START_SPEAKING` Starting to speak
    `STOP_SPEAKING` Stopping speaking
    `UNKNOWN` Unknown state

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `value` Integer value of the VAD state

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `getValue(Constants.VadState state)` Gets the integer value of the VAD state.
    `static Constants.VadState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Constants.VadState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final Constants.VadState UNKNOWN

      Unknown state

    - #### NONE_SPEAKING

          public static final Constants.VadState NONE_SPEAKING

      Not speaking

    - #### START_SPEAKING

          public static final Constants.VadState START_SPEAKING

      Starting to speak

    - #### SPEAKING

          public static final Constants.VadState SPEAKING

      Speaking

    - #### STOP_SPEAKING

          public static final Constants.VadState STOP_SPEAKING

      Stopping speaking

  - ### Field Detail

    - #### value

          public final int value

      Integer value of the VAD state

  - ### Method Detail

    - #### values

          public static Constants.VadState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Constants.VadState c : Constants.VadState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Constants.VadState valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public static int getValue(Constants.VadState state)

      Gets the integer value of the VAD state.
      Parameters:
        `state` - VAD state
      Returns:
        The integer value